import { PublicWidgetData as a } from "./index-public-widgets-data.store.js";
const f = (n) => {
  let {
    growModals: s,
    slideModals: i,
    popModals: o
  } = n;
  const r = a.getInstance(), {
    widgetId: e
  } = r.get(), l = (t, d) => t.includes(d);
  return e && (s = s.filter((t) => l(t, e)), i = i.filter((t) => l(t, e)), o = o.filter((t) => l(t, e))), {
    growModals: s,
    slideModals: i,
    popModals: o
  };
};
export {
  f as useGetModals
};
